Black blank screen



  • Blank black screen

    Hi,
    I have the same black screen problem. I have not added any other modules. Just have renamed the config.js.sample to config.js
    The application launches with a black screen.

    In the terminal it says
    No helper found for module: clock
    no helper found for module: complements

    When i start the console
    With npm start dev following errors are found
    Uncaught reference error: moment is not defined
    At Class.getDom (clock.js:77)
    At updateDom (main.js:99)
    at Object.updateDom (main.js:470)
    at Class.updateDom (module.js:291)
    at clock.js:45

    Need help I am stuck
    Thanks

    For the black screen problem, I even did the git pull to update
    git pull https://github.com/MichMich/MagicMirror
    From https://github.com/MichMich/MagicMirror

    branch HEAD -> FETCH_HEAD
    Already up-to-date.
    

    Now where is the issue??? Stuck please help.
    If this is the problem with the config.js file please send me a working config file. I shall try and see if it works for me.



  • @dhirajv12 Seems more like you are missing some dependency. Try reinstalling from scratch…



  • @Anhalter42
    i tried a fresh installation with
    curl -sL https://raw.githubusercontent.com/MichMich/MagicMirror/master/installers/raspberry.sh | bash
    it shows
    shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    but later it shows the Magic Mirror2 logo and proceeds…

    is there a problem?



  • No Node.js upgrade nessecery.
    chdir: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory

    these are certain comments which I feel should be notified…



  • @dhirajv12 Never seen this. Googled it. Found this.
    If it works now, I wouldn’t worry too much.



  • @Anhalter42
    Now i did installation from scratch…
    these are the warnings
    Cloning MagicMirror Done!
    Installing dependencies …

    npm WARN stylelint-config-standard@16.0.0 requires a peer of stylelint@^7.8.0 but none was installed.
    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! electron@1.6.10 postinstall: node install.js
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the electron@1.6.10 postinstall script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

    ╭─────────────────────────────────────╮
    │ │
    │ Update available 4.6.1 → 5.0.0 │
    │ Run npm i -g npm to update │
    │ │
    ╰─────────────────────────────────────╯

    npm ERR! A complete log of this run can be found in:
    npm ERR! /home/pi/.npm/_logs/2017-05-31T03_13_15_771Z-debug.log
    Unable to install dependencies!

    should I send u the log file… will it be of any help…
    this must be the 10th time I am instaling from scratch …I could not get it working…



  • @Anhalter42
    After I found that it failed at electron. I installed it with
    sudo npm install electron:1.6.9 -g
    after that I did cd /MagicMirror npm start.
    MagicMirror did pop up but with a message that if did not find the config file. So there was a sample file in?magicMirror/config folder. I remaned it to config.js from config.js.sample.
    I ran it, then the screen went black…
    The contents of config file looks like this…

    var config = {
    port: 8080,
    ipWhitelist: [“127.0.0.1”, “::ffff:127.0.0.1”, “::1”], // Set [] to allow all IP addresses.

    language: "en",
    timeFormat: 24,
    units: "metric",
    
    modules: [
    	{
    		module: "alert",
    	},
    	{
    		module: "updatenotification",
    		position: "top_bar"
    	},
    	{
    		module: "clock",
    		position: "top_left"
    	},
    	{
    		module: "calendar",
    		header: "US Holidays",
    		position: "top_left",
    		config: {
    			calendars: [
    				{
    					symbol: "calendar-check-o ",
    					url: "webcal://www.calendarlabs.com/templates/ical/US-Holidays.ics"
    				}
    			]
    		}
    	},
    	{
    		module: "compliments",
    		position: "lower_third"
    	},
    	{
    		module: "currentweather",
    		position: "top_right",
    		config: {
    			location: "New York",
    			locationID: "",  //ID from http://www.openweathermap.org/help/city_list.txt
    			appid: "YOUR_OPENWEATHER_API_KEY"
    		}
    	},
    	{
    		module: "weatherforecast",
    		position: "top_right",
    		header: "Weather Forecast",
    		config: {
    			location: "New York",
    			locationID: "5128581",  //ID from http://www.openweathermap.org/help/city_list.txt
    			appid: "YOUR_OPENWEATHER_API_KEY"
    		}
    	},
    	{
    		module: "newsfeed",
    		position: "bottom_bar",
    		config: {
    			feeds: [
    				{
    					title: "New York Times",
    					url: "http://www.nytimes.com/services/xml/rss/nyt/HomePage.xml"
    				}
    			],
    			showSourceTitle: true,
    			showPublishDate: true
    		}
    	},
    ]
    

    };

    /*************** DO NOT EDIT THE LINE BELOW ***************/
    if (typeof module !== “undefined”) {module.exports = config;}



  • @dhirajv12 I’m not really familiar with these errors. To me, it seems like you have some mismatch of versions, e.g. node being too old or too new. Did you try to update as mentioned in the output?



  • @dhirajv12 Try navigating to ~/MagicMirror/vendor then running npm install



  • Regarding “electron@1.6.10 postinstall”: There is an issue during installation with the extract-zip package which in turn results in a postinstall problem with electron (visible sign: There is no path.txt file in the node_modules/electron folder. Starting MM gives you the error message ‘Electron failed to install correctly, please delete node_modules/electron and try installing again’).

    As far as I understand, extract-zip is now version 1.6.4 and with this version, postinstall on electron fails.

    This post helped: https://forum.magicmirror.builders/topic/2460/magicmirror-fails-to-install-during-electron-installation/2

    I am still struggeling with the black blank screen (and I have to further look into this), but the electron installation can be fixed by issuing (as taken from the referenced post - actually a downgrade of the extract-zip package):

    npm uninstall extract-zip
    npm install extract-zip@1.6.0
    npm install electron
    

    Note: I am a noob, yet… ;-)

    Regards,
    HerrB92


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.